# PetscMalloc

Allocates memory

### Input Parameter

m -number of bytes to allocate

### Output Parameter

result -memory allocated

### Synopsis

    PetscErrorCode PetscMalloc(size_t m,void **result)

Notes: Memory is always allocated at least double aligned

If you request memory of zero size it will allocate no space and assign the pointer to 0; PetscFree() will properly handle not freeing the null pointer.

### See Also

PetscFree(), PetscNew()

Level:beginner
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/is/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html